QGIS Application - Bug report #20230
Cannot export a GPKG layer into the same container but different layer name
2018-10-26 04:52 PM - Andy Harfoot

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:3.2.3 Regression?: No

Operating System: Win 10 x64 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28051
Description

If a vector geopackage layer is loaded into QGIS and then exported into the same GPKG file, but with a different layer name, the following
error is observed in both 3.2.3 and 2.18.24:

Export to vector file failed.
Error: Cannot overwrite a OGR layer in place

History

#1 - 2018-10-26 09:26 PM - Nyall Dawson
- Status changed from Open to Feedback

Please test with 3.4 -- this should be fixed.

#2 - 2018-10-30 11:34 AM - Andy Harfoot

Yes, this appears to have been fixed in 3.4

#3 - 2018-10-30 05:03 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
